package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0182
 * @Description :病理诊断未填写
 * @Author : 胡敬
 * @Date: 2020-03-16 20:11
 */
@Component
public class FIRP0182 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null){
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String bingDiag = firstpageStructureMap.get(Content.pathologyDiagnose);
            if (StringUtil.isNotBlank(bingDiag) && !bingDiag.equals("[]")) {
                status.set("0");
            }
        }
    }
}